# class RSS::RDF::Item

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/1.0.rb, line 406
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.about = args[0]
      end
    end

required_uri() click to toggle source

    # File lib/rss/1.0.rb, line 384
    def required_uri
      ::RSS::URI
    end

### Private Instance Methods

maker_target(items) click to toggle source

    # File lib/rss/1.0.rb, line 416
    def maker_target(items)
      if items.respond_to?("items")
        # For backward compatibility
        items = items.items
      end
      items.new_item
    end